# Uses of Enum Class
jdk.javadoc.doclet.Taglet.Location

Packages that use Taglet.Location
Package
Description
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

- ## Uses of Taglet.Location in jdk.javadoc.doclet

  Subclasses with type arguments of type Taglet.Location in jdk.javadoc.doclet
  Modifier and Type
  Class
  Description
  `static enum`
  `Taglet.Location`
  The kind of location in which a tag may be used.
  Methods in jdk.javadoc.doclet that return Taglet.Location
  Modifier and Type
  Method
  Description
  `static Taglet.Location`
  Taglet.Location.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Taglet.Location[]`
  Taglet.Location.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in jdk.javadoc.doclet that return types with arguments of type Taglet.Location
  Modifier and Type
  Method
  Description
  `Set<Taglet.Location>`
  Taglet.`getAllowedLocations()`
  Returns the set of supported locations for block tags.